//+------------------------------------------------------------------+
//|                                                       ABC EA.mq4 |
//|                      Copyright  2011, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

extern double lots = 0.10;
extern int SL = 35;
extern int TP = 60;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
      for(int i=0;i<OrdersTotal();i++)
         {
            OrderSelect(i,SELECT_BY_POS,MODE_TRADES);
            return(0);
         }
      double abc0 = iCustom(Symbol(),0,"ABC",0,1);
      double abc1 = iCustom(Symbol(),0,"ABC",1,1);
      
      if(abc0<1000 && i==0)
         {
            int Order=OrderSend(Symbol(),OP_BUY,lots,Ask,0,Ask-SL*0.0001,Ask+TP*0.0001,"ABC Long Arrow",111,0,Blue);
            if(Order==0)
               {
                  Print("Error Opening Buy Order: ",GetLastError());
                  return(0);
               }
            else if(Order>0)
               {
                  Print("Buy Order Opened");
                  return(0);
               }
         }
      if(abc1<1000 && i==0)
         {
            Order=OrderSend(Symbol(),OP_SELL,lots,Bid,0,Bid+SL*0.0001,Ask-TP*0.0001,"ABC Short Arrow",111,0,Red);
            if(Order==0)
               {
                  Print("Error Opening Sell Order: ",GetLastError());
                  return(0);
               }
            else if(Order>0)
               {
                  Print("Sell Order Opened");
                  return(0);
               }
         }
      
      
      
   return(0);
  }
//+------------------------------------------------------------------+